Subject: bug#53212: feature request: mount option to specify the device number

From: Joachim Wagner <[email-masked]>
Date: Thu, 13 Jan 2022 10:39:52 +0000

> mount is a command from the util-linux package, hence you'd be better off
> asking on their mailing list <[email-masked]>.

Thanks Berny pointing me in this direction.

> FWIW: mount already knows quite a list of alternatives how to specify the
> source device [...]

Clarification: This feature is not about the source device but the "device 
number" reported by the filesystem in `stat()`. For xfs and probably many 
other filesystems, this happens to be (major<<8)+minor of the source device 
but btrfs, for example, allocates a new number for each subvolume.

Joachim